| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
UrlLinkDelegate Class Reference

A delegate that renders specific table cells as clickable URL links. More...

`#include <url_link_delegate.h>`

Inheritance diagram for UrlLinkDelegate:

## Public Member Functions
| UrlLinkDelegate (QObject *parent=Q_NULLPTR)
| Constructs a new UrlLinkDelegate object.
| ~UrlLinkDelegate ()
| Destroys the UrlLinkDelegate object.
void | setColCheck (int column, QString &pattern)
| Configures a column to be checked against a regular expression pattern for URL rendering.

## Protected Member Functions
virtual void | paint (QPainter *painter, const QStyleOptionViewItem &option, const QModelIndex &index) const override
| Custom paint method to render the cell text as a URL if it matches the pattern.

## Detailed Description

A delegate that renders specific table cells as clickable URL links.

## Constructor & Destructor Documentation

## ◆ UrlLinkDelegate()

UrlLinkDelegate::UrlLinkDelegate | ( | QObject * | parent = Q_NULLPTR | ) |
| explicit

Constructs a new UrlLinkDelegate object.

Parameters

  parent | The parent object.

## Member Function Documentation

## ◆ paint()

void UrlLinkDelegate::paint | ( | QPainter * | painter,
|  | const QStyleOptionViewItem & | option,
|  | const QModelIndex & | index ) const
| override protected virtual

Custom paint method to render the cell text as a URL if it matches the pattern.

Parameters

  painter | The painter object.
  option | The style option for the item.
  index | The model index of the item.

Reimplemented in CredentialsUrlDelegate.

## ◆ setColCheck()

void UrlLinkDelegate::setColCheck | ( | int | column,
|  | QString & | pattern )

Configures a column to be checked against a regular expression pattern for URL rendering.

Parameters

  column | The column index to check.
  pattern | The regular expression pattern string.

The documentation for this class was generated from the following files:

- /builds/wireshark/wireshark/ui/qt/models/url_link_delegate.h
- /builds/wireshark/wireshark/ui/qt/models/url_link_delegate.cpp